<?php

/**
 * @file
 * Provides page callback for COMMENT ABUSE module.
 */

/**
 * Callback function for abuse comment.
 */
function comment_abuse_content($cid, $js = TRUE) {
  if (!empty($cid) && comment_abuse_add_comment_abuse($cid)) {
    $result = comment_abuse_success_message($cid, $js);
  }
  else {
    $result = comment_abuse_failure_message($cid, $js);
  }

  return $result;
}

/**
 * Return popup with form for complaint on comment.
 */
function comment_abuse_complaint_popup($js, $cid) {
  if (!$js) {
    return drupal_get_form('comment_abuse_complaint_form', array('cid' => $cid));
  }

  // adelante!
  ctools_include('modal');
  ctools_include('ajax');
  $form_state = array(
    'title' => comment_abuse_get_text_for('popup_title'),
    'ajax' => TRUE,
    'build_info' => array('args' => array(0 => array('cid' => $cid))),
  );
  $output = ctools_modal_form_wrapper('comment_abuse_complaint_form', $form_state);
  $output[] = array('command' => 'comment_abuse_enable_popup');
  if (empty($form_state['executed'])) {
    print ajax_render($output);
    drupal_exit();
  }
}
